using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LLEDStatus : LNode
{
    private ButtonScript buttonScript;
    

    public LLEDStatus(ButtonScript buttonScript)
    {
        this.buttonScript = buttonScript;
     
    }

    public override float getOutput()
    {        
        return buttonScript == null ? 1 : (buttonScript.IsOn ? 1 : 0);
    }
}
